# Hardware

KlipperScreen supports a variety of screens, with a minimum supported resolution of 480x320. Generally, if a device can display a GNU/Linux desktop, it should be compatible with KlipperScreen.

## Supported Hardware

The following screens are known to work with KlipperScreen:

* [BTT PI TFT50](https://www.biqu.equipment/collections/lcd/products/bigtreetech-pi-tft50-v1-0-tft-display-for-raspberry-pi-3d-printer-part)
* [BTT HDMI5/7](https://biqu.equipment/products/bigtreetech-hdmi5-v1-0-hdmi7-v1-0)
* [Raspberry PI 7" Touchscreen](https://www.raspberrypi.org/products/raspberry-pi-touch-display/)
* [Hyperpixel 4](https://shop.pimoroni.com/products/hyperpixel-4)
* [3.5" RPi Display](http://www.lcdwiki.com/3.5inch_RPi_Display)
* [5" HDMI Display-B](http://lcdwiki.com/5inch_HDMI_Display-B)
* [VoCore](https://klipper.discourse.group/t/hardware-known-to-work-with-klipperscreen/35/7)
* [WAVESHARE 4.3 inch DSI LCD](https://www.waveshare.com/4.3inch-dsi-lcd.htm)
* [Android phone](Android.md)

For more hardware known to work with KlipperScreen, visit the [Klipper Discourse](https://klipper.discourse.group/t/hardware-known-to-work-with-klipperscreen/35).

### Install

1. **Install Your Screen**: Follow the manufacturer’s instructions for installing your screen. If you see a white screen, it indicates that the installation was not successful. Ensure that you can at least see a console.
2. **Install KlipperScreen**: Once the screen is properly installed and functioning, proceed to [install KlipperScreen](Installation.md).

## Screen Rotation

For information on screen rotation, refer to the [Rotation section](Troubleshooting/Rotation.md) in the troubleshooting guide.

## Touchscreen Touch Rotation

For touchscreen rotation and matrix issues, see the [Touch Issues section](Troubleshooting/Touch_issues.md#touch-rotation-and-matrix) in the troubleshooting guide.